Bug 552610 - Review Request: rasterview - Common Unix Printing System raster file viewer
Summary: Review Request: rasterview - Common Unix Printing System raster file viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-05 16:52 UTC by Tim Waugh
Modified: 2010-04-21 10:25 UTC (History)
3 users (show)

Fixed In Version: rasterview-1.2.1-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-21 10:25:44 UTC
terjeros: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tim Waugh 2010-01-05 16:52:47 UTC
Spec URL: http://twaugh.fedorapeople.org/rasterview/rasterview.spec
SRPM URL: http://twaugh.fedorapeople.org/rasterview/rasterview-1.2.1-1.fc12.src.rpm
Description:
The Common UNIX Printing System uses an intermediate format called
raster for inkjet printers and others that require rasterized input.
This program can be used to view this intermediate format and is
mainly used for debugging printer drivers.

Comment 1 Terje Røsten 2010-01-05 20:47:06 UTC
You might want change: 

%defattr(-,root,root) -> %defattr(-,root,root,-)

update mime db might be needed:

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

Had to apply this patch to make it build:

--- /SPECS/rasterview.spec~   2009-12-14 13:23:01.000000000 +0100
+++ /SPECS/rasterview.spec    2010-01-05 21:42:44.000000000 +0100
@@ -32,6 +32,7 @@
 make BUILDROOT=%{buildroot} install
 
 rm -rf %{buildroot}%{_sysconfdir}/X11/applnk
+rm -f %{buildroot}%{_datadir}/applnk/Development/rasterview.desktop
 desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category System \

Comment 2 Terje Røsten 2010-01-05 20:59:10 UTC
The buildreq list list too short, at least add cups-devel, libpng-devel, libjpeg-devel and zlib-devel.

Comment 3 Terje Røsten 2010-01-05 21:01:17 UTC
That did the trick, koji built it fine:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=1904107

Comment 5 Terje Røsten 2010-01-06 14:40:36 UTC
You are welcome, any input about %defattr and update mime db issues?

Comment 6 Tim Waugh 2010-01-06 15:15:36 UTC
Oh, sorry, missed those.

Spec URL: http://twaugh.fedorapeople.org/rasterview/rasterview.spec
SRPM URL:
http://twaugh.fedorapeople.org/rasterview/rasterview-1.2.1-3.fc12.src.rpm

The application/vnd.cups-raster MIME type is getting over-ridden by 'CMU raster image' which also registers for '*.ras'.  Not sure if there's anything we can do about that.

Comment 7 Terje Røsten 2010-04-18 14:46:13 UTC
ok rpmlint
ok spec
ok naming
ok dirs, perms and owns
ok license: GPLv2+. All files with headers. Tag correct
ok desktop file
ok buildflags
ok tarball
    4923146954287e9e025f63b8046e02b743d0c4b9  rasterview-1.2.1.tar.gz
    4923146954287e9e025f63b8046e02b743d0c4b9  rasterview-1.2.1.tar.gz.spec
ok koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2123601
! add INSTALL='install -p' to make install and download tarball with 
    wget -N to preserve timestamps

Only cosmetic timestamp issue left, fix that on import.

 The package rasterview is APPROVED.

Comment 8 Tim Waugh 2010-04-19 08:23:55 UTC
New Package CVS Request
=======================
Package Name: rasterview
Short Description: CUPS raster file viewer
Owners: twaugh@redhat.com
Branches: F-12 F-13 devel
InitialCC:

Comment 9 Tim Waugh 2010-04-19 08:26:27 UTC
New Package CVS Request
=======================
Package Name: rasterview
Short Description: CUPS raster file viewer
Owners: twaugh
Branches: F-12 F-13
InitialCC:

(please ignore comment #8)

Comment 10 Kevin Fenzi 2010-04-21 03:59:57 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Tim Waugh 2010-04-21 10:25:44 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.